Subject: Re: 23.0.90; NS: y-or-n-p-with-timeout with GUI doesn't respect timeout

From: Adrian Robert <[email-masked]>
Date: Fri, 21 Aug 2009 15:40:06 -0400

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2154

> > I installed further fixes a month ago and was subsequently unable to
> > reproduce the crash on a Leopard system.  Could you please verify if
> > you have a chance?
>
> It still crashes with the same procedure on Leopard.  Seems to be
> specific to PPC.

I returned to where I have access to a PPC/Leopard system and found  
out a crash that was due to not having a declaration of the  
timer_check() function.  I checked in a fix aping xmenu.c in externing  
this and the crash is now gone.  Could you please try it again?

We should also look into putting the timer_check() declaration into a  
header.